/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import com.silverwrist.venice.except.DataException;
import com.silverwrist.venice.security.Role;

public interface AdminUserContext
{
  public abstract int getUID();

  public abstract String getUserName();

  public abstract int getContactID();

  public abstract String getDescription();

  public abstract void setDescription(String new_descr) throws DataException;

  public abstract int getBaseLevel();

  public abstract void setBaseLevel(int new_level) throws DataException;

  public abstract Role getBaseRole();

  public abstract void setBaseRole(Role new_role) throws DataException;

  public abstract boolean isEmailVerified();

  public abstract void setEmailVerified(boolean flag) throws DataException;

  public abstract boolean isLockedOut();

  public abstract void setLockedOut(boolean flag) throws DataException;

  public abstract ContactInfo getContactInfo() throws DataException;

  public abstract void putContactInfo(ContactInfo ci) throws DataException;

  public abstract void setPassword(String password, String reminder) throws DataException;

  public abstract Locale getLocale();

  public abstract void setLocale(Locale locale) throws DataException;

  public abstract TimeZone getTimeZone();

  public abstract void setTimeZone(TimeZone timezone) throws DataException;

  public abstract Date getCreationDate();

  public abstract Date getLastAccessDate();

  public abstract AdminUserProperties getProperties() throws DataException;

  public abstract void setProperties(AdminUserProperties props) throws DataException;

} // end interface AdminUserContext
